<CFSETTING ENABLECFOUTPUTONLY="Yes">
<!---
|| BEGIN FUSEDOC ||

|| DESCRIPTION ||
I display a list of the previous versions of the datafile,...
... with links to revert and delete.

|| DESIGNER ||
Lee Bjork Borkman (bjork@bjork.net)

|| PROGRAMMER ||
Lee Bjork Borkman (bjork@bjork.net)

|| ATTRIBUTES ||
--> wireframename:

|| VERSION HISTORY ||
23 Feb 2001: Initial Version
19 April 2001: Amended for use of special chars in page names,
  and to stop exposing full server paths

|| END FUSEDOC ||
--->

<CFSET descriptions = StructNew()>

<CFOUTPUT QUERY="history">

<CFFILE ACTION="READ"
        FILE="#attributes.fullwireframedir##request.os.delimiter##name#"
        VARIABLE="content">

<CFSET key = replace(name, ".wir", "")>

<CFSET descindex = 	find("[[:changedescription:]]", content)>
<CFIF descindex>
	<CFSET content = right(content, len(content)-descindex+1)>
	<CFSET tmp = StructInsert(descriptions, key, trim(rereplace(content, ".*\[\[\:changedescription\:\]\]", "")), "true") >
<CFELSE>
	<CFSET tmp = StructInsert(descriptions, key, "", "true")>
</CFIF>

</CFOUTPUT>

<CFSETTING ENABLECFOUTPUTONLY="No">


<!---
  $Log: act_getdescriptions.cfm,v $
  Revision 1.4  2001/08/21 13:26:58  leeborkman
  Added CVS Log block to the bottom of each file

--->