<!---
|| FUSEDOC ||
	
|| Responsibilities ||
I show the contents and links for a particular PageState.

|| General ||
Author: hal.helms@TeamAllaire.com
Amended by Lee Bjork Borkman (bjork@bjork.net) to use structures instead of a database, and to separate "menu" links 15 Feb 2001

|| Attributes ||
-->page: the page/state to be displayed
-->wireframedir: 
-->wireframename: 

|| END FUSEDOC ||--->

<CFLOCK TIMEOUT="60" THROWONTIMEOUT="Yes" TYPE="EXCLUSIVE" SCOPE="session">


<cfoutput>


<TABLE WIDTH=#request.page.width# CELLSPACING=0 CELLPADDING=5 BORDER=1><TR><TD>


<CFIF isdefined('session.' & Attributes.wireframename & '.' & attributes.page & '.content')>
	<CFSET pagedisplayname = evaluate("session." & attributes.wireframename & "." & attributes.page & ".text")>
	<H2>#pagedisplayname#</H2>

 <CFLOOP INDEX="ContentIndex" FROM="1" TO="#evaluate('ArrayLen(session.' & Attributes.wireframename & '.' & attributes.page & '.content)')#">

	<CFSET content=evaluate("session.#Attributes.wireframename#.#attributes.page#.content[#ContentIndex#].content")>
	<CFSET content=replace(content, "''", "'", "all")>
	<CFSET display=evaluate("session.#Attributes.wireframename#.#attributes.page#.content[#ContentIndex#].display")>
	<CFSET display=replace(display, "''", "'", "all")>
	<CFIF display IS "comment">
		<LI>#content#<br>
	<CFELSE>
		<LI><I>#display#</I>: #content#<br>
	</CFIF>
</cfloop>
<CFELSE>
	<CFSET pagedisplayname = replace(attributes.page, "p_", "")>
	<CFSET pagedisplayname = replace(pagedisplayname, "_", " ", "all")>
	<H2>#pagedisplayname#</H2>
	<I>No content defined</I>
</CFIF>

<BLOCKQUOTE><h3>Exits</h3>
<CFIF isdefined('session.' & Attributes.wireframename & '.' & attributes.page & '.link')>
 <CFLOOP INDEX="RFAindex" FROM="1" TO="#evaluate('ArrayLen(session.' & Attributes.wireframename & '.' & attributes.page & '.link)')#">
	<CFSET RFA=evaluate("session.#Attributes.wireframename#.#attributes.page#.link[#RFAindex#].RFA")>
	<CFSET display=evaluate("session.#Attributes.wireframename#.#attributes.page#.link[#RFAindex#].display")>
	<CFSET display=replace(display, "''", "'", "all")>
	<CFIF left(display, 5) IS "menu." AND NOT isDefined("menuheadingdone")>
		<h3>Menu</h3>
		<CFSET menuheadingdone = true>
	</CFIF>
	<CFSET display=rereplacenocase(display, "^menu.", "")>
	<CFIF listlen(RFA, ".") GT 1>
		<CFSET nextApp = ListGetAt(RFA,1,".")>
		<CFSET RFA = ListGetAt(RFA,2,".")>
	<CFELSE>
			<CFSET nextApp = Attributes.wireframename>
	</CFIF>
	<LI><a href="#self#?fuseaction=showpage&page=#RFA#&wireframedir=#attributes.wireframedir#&wireframename=#nextApp#">#display#</a><br>
</cfloop>
<CFELSE>
<I>No links defined</I>
</CFIF>
 
</BLOCKQUOTE>
</TD>
</TR></TABLE><P>
</cfoutput>

</CFLOCK>


<!---
  $Log: out_pagestate.cfm,v $
  Revision 1.3  2001/08/21 13:26:58  leeborkman
  Added CVS Log block to the bottom of each file

--->