<CFSETTING ENABLECFOUTPUTONLY="Yes">
<!--- 
|| BEGIN FUSEDOC ||

|| DESCRIPTION || 
Save a copy of the current wireframe datafile, with datestamped suffix.

|| DESIGNER ||
Lee Bjork Borkman (bjork@bjork.net)

|| PROGRAMMER ||
Lee Bjork Borkman (bjork@bjork.net)

|| ATTRIBUTES ||
--> wireframename: 
--> wireframedir: 

|| VERSION HISTORY ||
23 Feb 2001: Initial Version
19 April 2001: Amended for use of special chars in page names,
  and to stop exposing full server paths

|| END FUSEDOC ||
--->

<CFSET attributes.datafile = rereplace(attributes.datafile, "[#chr(10)##chr(13)#][#chr(10)##chr(13)#]+", "#chr(10)#", "all")>

<CFSET attributes.datafile = attributes.datafile & "#chr(10)#[[:changedescription:]]#chr(10)##attributes.changedescription#">

<CFFILE ACTION="WRITE"
        FILE="#attributes.fullwireframedir##request.os.delimiter##attributes.wireframename#.wir"
        OUTPUT="#attributes.datafile#"
        ADDNEWLINE="Yes">

<CFSETTING ENABLECFOUTPUTONLY="No">


<!---
  $Log: act_savenewdata.cfm,v $
  Revision 1.3  2001/08/21 13:26:58  leeborkman
  Added CVS Log block to the bottom of each file

--->