<CFOUTPUT>
<TABLE BORDER=0 CELLPADDING=5 CELLSPACING=0 WIDTH="#request.page.width#">
<TR>
<TD>
	<cfparam name="attributes.context" default="help">
	
	<cfswitch expression="#attributes.context#">
	
		<CFCASE VALUE="help,credits">
		</CFCASE>
		
		
		<CFCASE VALUE="quickmap,previewVersion">
            <B>QuickMap</B><P>
            The QuickMap shows a summary view of the current WireFrame.<P>
            <LI>The left column displays the text description of each page/state/function.   <LI>The right hand column shows the Exits from each page/state/function, and the corresponding destinations.   <LI>"Menu" items are separated from the "main flow" Exits/Destinations by a dotted line. <LI>Click on any Destination to show that page/state/function.
		</CFCASE>
		
		
		<CFCASE VALUE="generate">
             <B>Generate Code</B><P>
            Generates a basic ColdFusion/FuseBox CFSWITCH block based on the current wireframe.<P>
            <LI>Maps each page/state/function to a fuseaction   
            <LI>Maps each Exit=Destination pair to an XFA (event-handler) definition
            <LI>Maps the description of each page/state/function to a comment
          
		</CFCASE>
		
		
		<CFCASE VALUE="showpage">
             <B>Show page/state/function</B><P>
            Shows the detail of a single page/state/function
            <LI>Displays the title   
            <LI>Displays the text description
            <LI>Displays the text of each Exit, linked to the corresponding Destinations
		</CFCASE>
		
		
		<CFCASE VALUE="editform">
             <B>Edit</B><P>
             Use this form to edit the wireframe's text data-file.<P>
             <LI>The "Click to add another page/state" link adds a new blank page/state/function to the bottom of the datafile.
             <LI>The text description must be included on a single line, beginning with a ";" character.
             <LI>Exit/Destination pairs follow, and are of the form "Exit Text = Destination Name" or "menu.Exit Text = Destination Name"
            <LI>Include a brief label or description of the changes you have made in the supplied text box before submitting the form.  This will later be used when showing the History of your wireframe.             
       
		</CFCASE>
		
		<CFCASE VALUE="history,revert,delete">
             <B>History</B><P>
             Shows a list of all previous version of the current wireframe<P>
             <LI>Shows the description/label supplied for each version
             <LI>Shows the size of each version
             <LI>Shows links to Preview each version - ie, display a QuickMap of the selected version            
             <LI>Shows links to Revert to each version - ie, begin editing/viewing the selected version            
             <LI>Shows links to Delete each version - ie, remove it permanently from the historical archive            
		</CFCASE>
		
		<cfcase value="admin">
			<B>Admin</B><P>
			Options available for Wireframe administration.<P>
			<LI>Select a wireframe to view/edit
			<LI>Create a new wireframe
		</cfcase>
		
		<CFCASE VALUE="selectwireframe">
			<b>Select Wireframe</b><P>
			Displays all wireframes which exist in the wireframe data directory. Select which wireframe to open by clicking on the name.
		</CFCASE>
		
		<cfcase value="createnew">
			<b>Create a new wireframe</b><P>
			Create a new wireframe based on the template wireframes (template.wir). You can edit the template wireframe by selecting it and adding you basic form for all new wireframes. There is no need to place .wir after the name.
		</cfcase>
		
		<cfdefaultcase>
		</cfdefaultcase>
		
	</cfswitch>
<P>
<B>GENERAL INFORMATION</B><P>
The WireFrame Viewer/Editor is a tool for the gathering of  
<B>functional</B> requirements. You and your client can sit down with 
it and decide WHAT you want the the proposed application to do.  You
will get to describe each stage/page/function of the application in English
or Spanish or any natural language you like.  You will also define all of
the ways the application can get from one state to another state, using
Exit=Destination pairs.<P>

Your clients can edit the wireframe data, with just a few minutes' training, and
they can browse through the proposed application, looking at each state, until they
are happy that the wireframe correctly describes the application they
want built.  At this point, the wireframe datafile can be printed, or the QuickMap of the
wireframe, and signed-off by all parties.<P>

At no time during the wireframing phase is the look of the application
considered.<P>

The wireframe becomes part of your development agreement.  Use it as the
basis for your prototype, and later as the basis for your actual code.  Use
it for doing function-point estimation, as it gives a very good indication
about the number, type, and complexity of the various application functions.<P>



</TD>
</TR>
</TABLE>
</CFOUTPUT>

<!---
  $Log: out_help.cfm,v $
  Revision 1.3  2001/09/06 22:00:17  jabeynon
  added context sensitive help for admin pages

  Revision 1.2  2001/08/21 13:26:58  leeborkman
  Added CVS Log block to the bottom of each file

--->