<CFSETTING ENABLECFOUTPUTONLY="Yes">
<!--- 
|| BEGIN FUSEDOC ||

|| DESCRIPTION || 
I display a list of the previous versions of the datafile,...
... with links to revert and delete.

|| DESIGNER ||
Lee Bjork Borkman (bjork@bjork.net)

|| PROGRAMMER ||
Lee Bjork Borkman (bjork@bjork.net)

|| ATTRIBUTES ||
--> wireframename: 

|| VERSION HISTORY ||
23 Feb 2001: Initial Version
19 April 2001: Amended for use of special chars in page names,
  and to stop exposing full server paths

|| END FUSEDOC ||
--->

<CFOUTPUT>
	<TABLE BORDER=1 WIDTH=#request.page.width# CELLSPACING=0 CELLPADDING=3>
	<TR><TH>Version</TH><TH>Description</TH><TH>Size</TH><TH>Preview</TH><TH>Revert</TH><TH>Delete</TH></TR>
	<CFSET key = ATTRIBUTES.wireframename>
	<CFSET desc = rereplace(evaluate("descriptions." & key), '"', "", "all")>
	<CFSET desc = rereplace(desc, "'", "", "all")>
	<TR>
		<TD><B>Current</B></TD>
		<TD>#evaluate("descriptions." & key)#&nbsp;</TD>
		<TD>&nbsp;</TD>
		<TD>&nbsp;</TD>
		<TD>&nbsp;</TD>
		<TD>&nbsp;</TD>
	</TR>
</CFOUTPUT>
<CFOUTPUT QUERY="history">
	<CFSET key = replace(name, ".wir", "")>
	<CFIF key IS NOT ATTRIBUTES.wireframename>
		<CFSET desc = rereplace(evaluate("descriptions." & key), '"', "", "all")>
		<CFSET desc = rereplace(desc, "'", "", "all")>
		<TR>
			<TD><CFIF KEY IS attributes.wireframename><B>Current</B><CFELSE>#key#</CFIF></TD>
			<TD>#evaluate("descriptions." & key)#&nbsp;</TD>
			<TD ALIGN=right>#size#</TD>
			<TD><CFIF KEY IS NOT attributes.wireframename><A HREF="#self#?fuseaction=previewVersion&wireframedir=#attributes.wireframedir#&wireframename=#key#" TARGET="#key#">Preview</A><CFELSE>&nbsp;</CFIF></TD>
			<TD><CFIF KEY IS NOT attributes.wireframename><A HREF="#self#?fuseaction=revert&version=#key#&wireframedir=#attributes.wireframedir#&wireframename=#attributes.wireframename#">Revert</A><CFELSE>&nbsp;</CFIF></TD>
			<TD><CFIF KEY IS NOT attributes.wireframename><CFSET jsdesc=rereplace(desc, "[^a-zA-Z1-9 \.,;:]", " ", "all")><A HREF="#self#?fuseaction=delete&wireframedir=#attributes.wireframedir#&wireframename=#attributes.wireframename#&version=#key#" onclick="return(confirm('Are you sure you wish to delete version #key#?:\n\n#jsdesc#'))">Delete</A><CFELSE>&nbsp;</CFIF></TD>
		</TR>
	</CFIF>
</CFOUTPUT>
<CFOUTPUT>
	</TABLE><P>	
</CFOUTPUT>
<CFSETTING ENABLECFOUTPUTONLY="No">


<!---
  $Log: out_history.cfm,v $
  Revision 1.3  2001/08/21 13:26:58  leeborkman
  Added CVS Log block to the bottom of each file

--->