<!---
<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XML Spy v3.5 NT (http://www.xmlspy.com) by John Beynon (ERA Technology Ltd) -->
<!DOCTYPE fusedoc SYSTEM "C:\Documents and Settings\jbeynon\Desktop\Fusedoc.dtd">
<fusedoc fuse="selectwireframe">
	<responsibilities>I retrieve the directory listings from attributes.fullwireframedir directory. I then display the files available in a list format.</responsibilities>
	<properties>
		<history author="John Beynon" date="19/08/2001" email="john.beynon@era.co.uk"/>
		<note>Code built on Kevin Roche's wirelist snippet</note>
	</properties>
	<io>
		<in>
			<string name="fullwireframedir" scope="attributes"/>
		</in>
		<out>
			<string name="wireframename" scope="url"/>
		</out>
	</io>
</fusedoc>
--->

<CFSETTING ENABLECFOUTPUTONLY="Yes">

<!--- Retrieve directory listings --->
<cfdirectory action="LIST" directory="#attributes.fullwireframedir#" name="wireframeList" filter="*.wir">

<!--- Output result of the directory contents --->
<cfset lFileList = "">
<cfoutput query="wireframelist">
	<!--- Determine individual file names --->
	<cfif wireframelist.type is "file">
	<!--- remove info after dots in directory listing--->
	<cfset filename = ListDeleteAt(wireframelist.name, ListLen(Wireframelist.Name, "."),".")>
	<!--- remove history files with _ in them --->
		<cfif filename contains "_">
		<cfset filebase = ListDeleteAt(wireframelist.name, Listlen(wireframelist.name, "_"), "_")>
		<cfelse>
		<!--- not a history file so set filebase information --->
		<cfset filebase = filename>
		</cfif>

		<!--- Create new list containing only the filebase information --->
		<cfif NOT ListContains(lFileList, filebase)>
		<cfset lFileList = ListAppend(lFileList, filebase)>
		</cfif>

	</cfif>

</cfoutput>

<cfif wireframelist.recordcount gt 0>
<cfoutput><b>Select an existing WireFrame:</b>
<ul>
<!--- Loop through the list elements --->
<cfloop index="thisFile" list="#lFileList#">
	<!--- Display clickable links to the wireframes --->
	<li><a href="index.cfm?wireframename=#thisfile#">#thisfile#</a>
</cfloop>
</ul>
</cfoutput>
</cfif>

<!---
$Log: out_wirelist.cfm,v $
Revision 1.3  2001/09/07 06:35:57  leeborkman
Added CVS Log at bottom of the code

--->

